Name: aptitude
Version: 0.2.11.1
Release: alt1

Summary: Curses-based apt frontend
Summary(ru_RU.KOI8-R):  APT    
Group: System/Configuration/Packaging
License: GPL
Url: http://www.debian.org/Packages/unstable/admin/%name.html
Packager: APT Development Team <apt@packages.altlinux.org>

Source: ftp://ftp.debian.org/debian/pool/main/a/%name/%{name}_%version.orig.tar.gz
Patch1: %name-0.2.11.1-cnc-rpm.patch
Patch2: %name-0.2.11.1-alt-gcc3.patch

Requires: %{get_dep rpm}, %{get_dep libapt}

BuildPreReq: rpm-build >= 4.0.4, libapt-devel >= 0.5.4cnc9

# Automatically added by buildreq on Wed Mar 27 2002
BuildRequires: gcc-c++ libapt-devel libncurses-devel libpopt-devel librpm-devel libsigc++-devel libstdc++-devel

%description
Aptitude is a curses-based apt frontend with a number of useful extended
features, including a mutt-like syntax for matching packages in a flexible
and extreme flexibility and customization.

Despite the version number, %name is quite usable; it does almost everything
that dselect and console-apt do, and has its own extra features as well.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
# Fix gettextization.
if [ ! -s po/LINGUAS ]; then
	%__sed -ne 's/^ALL_LINGUAS="\([^"]*\)"$/\1/p' configure.in >>po/LINGUAS
	%__subst 's/^\(ALL_LINGUAS=\)/#\1/g' configure
fi

%add_optflags -fno-exceptions

export ac_cv_header_ext_hash_map=no
export ac_cv_header_ext_hash_set=no
%configure
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_localstatedir/%name
install -pD -m755 src/%name $RPM_BUILD_ROOT%_bindir/%name
install -pD -m644 help.txt $RPM_BUILD_ROOT%_datadir/%name/help.txt
install -pD -m644 %name.1 $RPM_BUILD_ROOT%_man1dir/%name.1
install -pD -m644 aptitude-defaults $RPM_BUILD_ROOT%_datadir/%name/aptitude-defaults

%make_install install -C po DESTDIR=$RPM_BUILD_ROOT
%find_lang %name

%files
%_bindir/*
%_datadir/%name
%_mandir/man?/*
%_localstatedir/*
%doc AUTHORS INSTALL NEWS README TODO %name-hackers-guide.txt

%changelog
* Wed Dec 04 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.11.1-alt1
- Updated to aptitude-0.2.11.1-2cl.

* Wed Sep 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.8-alt3
- rebuld with gcc3

* Wed Mar 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.2.8-alt2
- Added librpm-4.0.4 build support.
- Built with librpm-4.0.4, updated buildrequires.

* Fri Mar 22 2002 Rider <rider@altlinux.ru> 0.2.8-alt1
- 0.2.8 with Conectiva patches.

* Tue Nov 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.0.7.13-ipl11mdk
- Initial build with rpm4.

* Thu Aug 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.7.13-ipl10mdk
- Corrected requires and buildrequires lists.
- Reworked compilation options again: we add only '-fno-exceptions' now.

* Wed Aug 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.7.13-ipl9mdk
- Added %%optflags_nocpp to compilation options.
- Rebuilt with apt-0.3.19cnc52-alt2, corrected apt requires.

* Thu Jul 26 2001 Alexander Bokovoy <ab@altlinux.ru> 0.0.7.13-ipl8mdk
- rebuild against apt-get cnc51

* Sun Apr 14 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl7mdk
- rebuild against apt-get cnc38

* Tue Feb 20 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl6mdk
- Wrong group fixed

* Mon Feb 19 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl5mdk
- rebuild against apt-get cnc36

* Tue Jan 24 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl4mdk
- Incompabilities between libapt-pkg and aptitude sources fixed

* Tue Jan 22 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl3mdk
- New upstream version
- rebuild with new apt

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 0.0.7.6-ipl2mdk
- Specfile cleanup.

* Sun Dec 02 2000 Alexander Bokovoy <ab@avilink.net>
- MDK RE-fication
- Patch for incorrect class cast under gcc 2.96

* Mon Oct 16 2000 Claudio Matsuoka <claudio@conectiva.com>
- new upstream release: 0.0.7.6

* Fri Oct 13 2000 Claudio Matsuoka <claudio@conectiva.com>
- new upstream release: 0.0.7.4
- minor RPM cleanups
- specfile fixes

* Thu Oct 12 2000 Claudio Matsuoka <claudio@conectiva.com>
- added missing help file, manpage
- changed /var/state/aptitude to FHS-compliant /var/lib/aptitude

* Tue Oct 10 2000 Claudio Matsuoka <claudio@conectiva.com>
- upgraded to 0.0.7.3
- some RPM cleanup
- package quality: 50-60%

* Mon Oct  2 2000 Claudio Matsuoka <claudio@conectiva.com>
- package created
